Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 607802 - Review Request: Agender - A small, simple and cross-platform schedule tool
Summary: Review Request: Agender - A small, simple and cross-platform schedule tool
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: All
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-24 21:20 UTC by Gabriel Espinoza
Modified: 2010-07-05 20:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-05 19:06:21 UTC


Attachments (Terms of Use)
screenshot when Agender crashes with segv (deleted)
2010-07-04 17:50 UTC, Mamoru TASAKA
no flags Details
gdb log of above (deleted)
2010-07-04 17:51 UTC, Mamoru TASAKA
no flags Details

Description Gabriel Espinoza 2010-06-24 21:20:22 UTC
Spec URL: http://sourceforge.net/projects/agender/files/Agender-1.1.5.2.spec
SRPM URL: http://sourceforge.net/projects/agender/files/Agender-1.1.5.2-1.fc13.src.rpm
Description: Agender is a small cross-platform schedule tool where you associate some notes with a date or with no date in particular if  you mark the note as sticky, you simply start it  and it will create a task-bar icon and stay in the background,without annoying you,it can also be configured to run on login. This is my first package, so i need a sponsor

Comment 1 Mamoru TASAKA 2010-07-04 17:50:50 UTC
Created attachment 429393 [details]
screenshot when Agender crashes with segv

Some notes:

* SourceURL:
  - For tarball hosted on sourceforge.net, please use:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

* Explicit version dependency
  - wxGTK on supported branches of Fedora have version higher than 2.8.0
    and explicit version dependency ">= 2.8.0" is not needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* %setup
  - By default %setup must be quiet (i.e. please use %setup -q)

* indentation
  - Please remove unneeded spaces before each line.

* %configure
  --prefix=%{_prefix} is not needed
  ( You can check what %configure actually does by 
    $ rpm --eval %configure )

* cleaning $RPM_BUILD_ROOT
  - Please remove unneeded "test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" &&"
    hack
    ! Note that on F-12 and above, $RPM_BUILD_ROOT is always cleaned up before
      %install section begins, so even "%{__rm} -rf $RPM_BUILD_ROOT" is not needed
      on %install
    ! Also on F-13 and above writing %clean section explicitly is not needed.

* Timestamps
  - Please consider to use
---------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
---------------------------------------------------------------
    to keep timestamps on installed files as much as possible.
    This method usually works for Makefiles generated by recent autotools.

* Consistent macros usage
  - Please unify %{__make} and %__make .

* Desktop file
  - If desktop file is installed, desktop-file-{install,validate} must be used
    to verify the installed file.
    https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

* %changelog
  - Please write proper %changelog entry:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs



By the way, when I
- launch two terminals (like uxterm)
- In one terminal, type $ Agender
- After that in another terminal type $ Agender

then Agender launched on the first terminal causes segv.

Comment 2 Mamoru TASAKA 2010-07-04 17:51:49 UTC
Created attachment 429394 [details]
gdb log of above

gdb log when the above issue occurs is attached here.

Comment 3 Gabriel Espinoza 2010-07-05 18:44:24 UTC
I think i won't package for fedora, this system has become worst after fc10,
thanks for the bug althoug it doesn't happen in my system, and for the sugestion (%setup -q), could you send me some info about the system where you tested it (fedora version, wx version, arch, memory, etc)

Comment 4 Gabriel Espinoza 2010-07-05 18:55:05 UTC
maybe i will move to suse or debian

Comment 5 Mamoru TASAKA 2010-07-05 18:55:27 UTC
[tasaka1@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.33.5-124.fc13.i686 #1 SMP Fri Jun 11 09:48:40 UTC 2010 i686 i686 i386 GNU/Linux
[tasaka1@localhost ~]$ rpm -q fedora-release wxGTK
fedora-release-14-0.4.noarch
wxGTK-2.8.11-1.fc14.i686

(In reply to comment #3)
> I think i won't package for fedora,
Well, then should I close this bug?

Comment 6 Gabriel Espinoza 2010-07-05 19:04:05 UTC
yes, thanks

Comment 7 Mamoru TASAKA 2010-07-05 19:06:21 UTC
Once closing. Thank you anyway.


Note You need to log in before you can comment on or make changes to this bug.